## unzip 5.52-10

=== debian/changelog ===
unzip (5.52-10) unstable; urgency=low

  * Add link to zipinfo from unzip

 -- Daniel Martin Yerga <dyerga@gmail.com>  Sun, 29 Oct 2006 20:50:24 +0200

unzip (5.52-9) unstable; urgency=low

  * Package for Maemo

 -- Daniel Martin Yerga <dyerga@gmail.com>  Wed, 2 Aug 2006 11:50:24 +0200

unzip (5.52-8) unstable; urgency=low

  * Modified unix/unxcfg.h to always #include <unistd.h>.
    This should now work on GNU/kFreeBSD (Closes: #340693).

 -- Santiago Vila <sanvila@debian.org>  Tue, 25 Apr 2006 19:50:24 +0200

unzip (5.52-7) unstable; urgency=medium

  * Fixed buffer overflow when insanely long filenames are given on the
    command line. Patch from Johnny Lee. Changed some format strings so
    that they use 512 characters at most. The "right" fix will be in 5.53,
    but this should work well enough for now. Closes: #349794.
  * This is CVE-2005-4667.

 -- Santiago Vila <sanvila@debian.org>  Thu, 16 Mar 2006 10:31:20 +0100

unzip (5.52-6) unstable; urgency=medium

  * Symlinks should work again (Closes: #343680). Fix provided by
    Christian Spieler. Thanks to Carl W. Hoffman for the report.

 -- Santiago Vila <sanvila@debian.org>  Tue, 20 Dec 2005 19:18:32 +0100

unzip (5.52-5) unstable; urgency=low

  * Fixed CAN-2005-2475 the same way it will be fixed in unzip 5.53.
    Patch extracted from a prerelease provided by upstream.
  * Changed unzip banner line to reflect the fact that this is
    a "modified" release. Debian-derived distributions should probably
    do the same if they deviate from the Debian version.

 -- Santiago Vila <sanvila@debian.org>  Thu, 17 Nov 2005 16:34:24 +0100

unzip (5.52-4) unstable; urgency=medium

  * Fixed toctou vulnerability (Closes: #321927). Modified unix/unix.c
    to use fchmod() and fchown() instead of chmod() and chown() to change
    permissions and ownerships on the files actually created by unzip.
    Patch from Dan Yefimov. CAN-2005-2475.

 -- Santiago Vila <sanvila@debian.org>  Wed,  9 Nov 2005 18:05:02 +0100

unzip (5.52-3) unstable; urgency=low

  * Put manpages in section 1, not 1L.
  * Fixed more typos (Closes: #309885).

 -- Santiago Vila <sanvila@debian.org>  Wed, 25 May 2005 16:09:02 +0200

unzip (5.52-2) unstable; urgency=low

  * Fixed typos in manpage (Closes: #301915).

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Apr 2005 19:27:02 +0200

unzip (5.52-1) unstable; urgency=low

  * New upstream release.
  * Enabled new -W option via WILD_STOP_AT_DIR macro.
  * Macro USE_UNSHRINK is no longer defined, as it's now the default.

 -- Santiago Vila <sanvila@debian.org>  Tue,  1 Mar 2005 15:33:54 +0100

unzip (5.51-2) unstable; urgency=low

  * Added unshrinking support (Closes: #252563).

 -- Santiago Vila <sanvila@debian.org>  Sun,  6 Jun 2004 17:57:46 +0200

unzip (5.51-1) unstable; urgency=low

  * New upstream release, improves error message when a zipfile is not
    readable (Closes: #139331).
  * Added a newline character to the CannotOpenZipfile string for the
    previous fix to be really complete.

 -- Santiago Vila <sanvila@debian.org>  Tue, 25 May 2004 14:38:26 +0200

unzip (5.50-4) unstable; urgency=low

  * Changed __GNU__ to __GLIBC__ in unix/unxcfg.h to support glibc-based
    systems not being GNU itself, like GNU/KFreeBSD and GNU/KNetBSD.

 -- Santiago Vila <sanvila@debian.org>  Sun, 16 Nov 2003 14:45:28 +0100

unzip (5.50-3) unstable; urgency=high

  * Fixed "unzip directory traversal revisited" again (Bug #206439).
    There was still a missing case that the previous patch didn't catch.
    Patch borrowed from unzip-5.50-33.src.rpm.
  * For reference, this is (still) CAN-2003-0282.

 -- Santiago Vila <sanvila@debian.org>  Wed, 20 Aug 2003 23:00:42 +0200

unzip (5.50-2) unstable; urgency=high

  * Fixed "unzip directory traversal revisited" problem (Bug #199648).
    A filename containing ".somenonprintablechar." will not unpack
    into .. anymore. Patch borrowed from unzip-5.50-11.src.rpm.
  * For reference, this is CAN-2003-0282.
  * No more doc symlinks.

 -- Santiago Vila <sanvila@debian.org>  Mon,  7 Jul 2003 20:25:20 +0200

unzip (5.50-1) unstable; urgency=low

  * New upstream release.
  * Moved from non-US/main to main. Section: utils.

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Mar 2002 15:54:12 +0100

unzip (5.42-3) unstable; urgency=low

  * Added support for DEB_BUILD_OPTIONS.

 -- Santiago Vila <sanvila@debian.org>  Sun, 11 Nov 2001 16:25:00 +0100

unzip (5.42-2) unstable; urgency=low

  * Applied a patch from Marcus Brinkmann:
  - Closes: #99699: unzip does not build on the Hurd.
  - Modified debian/rules to support cross-compilation.

 -- Santiago Vila <sanvila@debian.org>  Wed,  6 Jun 2001 16:40:14 +0200

unzip (5.42-1) unstable; urgency=low

  * New upstream release.
  * Changed to Section: non-US.
  * Removed "packaged for Debian" from extended description.

 -- Santiago Vila <sanvila@debian.org>  Thu, 10 May 2001 16:47:41 +0200

unzip (5.41-1) unstable; urgency=low

  * New upstream release, featuring a new BSD-like license and built-in
    encryption support. Moved to non-US/main.
  * Copyright file now generated from LICENSE file.
  * Versioned Conflicts and Replaces.
  * Standards-Version: 3.1.1

 -- Santiago Vila <sanvila@debian.org>  Fri, 18 Aug 2000 19:03:59 +0200

unzip (5.40-1) unstable; urgency=low

  * New upstream release.
  * Removed `email-from-greg'.
  * Fixed URL location in copyright file.
  * Enabled -F option, as suggested by James Aylett.

 -- Santiago Vila <sanvila@ctv.es>  Fri, 22 Oct 1999 10:30:49 +0200

unzip (5.32-1) unstable; urgency=low

  * New upstream release, using pristine source.

 -- Santiago Vila <sanvila@ctv.es>  Tue,  4 Nov 1997 14:19:20 +0100

unzip (5.31-2) unstable; urgency=low

  * Removed debstd dependency.

 -- Santiago Vila <sanvila@ctv.es>  Fri, 17 Oct 1997 17:22:22 +0200

unzip (5.31-1) unstable; urgency=low

  * `copyright' file is generated from COPYING automatically.
  * Distribution unstable, Section non-free.

