=== debian/control ===
Source: unzip
Section: user/utils
Priority: optional
Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
Standards-Version: 3.6.1

Package: unzip
Architecture: i386
Depends: ${shlibs:Depends}
Conflicts: unzip-crypt (<< 5.41)
Replaces: unzip-crypt (<< 5.41)
Suggests: zip
Description: De-archiver for .zip files
 InfoZIP's unzip program. With the exception of multi-volume archives
 (ie, .ZIP files that are split across several disks using PKZIP's /& option),
 this can handle any file produced either by PKZIP, or the corresponding
 InfoZIP zip program.
