=== debian/rules ===
#!/usr/bin/make -f

package = unzip
docdir = debian/tmp/usr/share/doc/$(package)
history = History.552
dirbin = debian/tmp/usr/bin

CC = gcc
CFLAGS = -g -Wall
DEFINES = -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR
INSTALL_PROGRAM = install

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL_PROGRAM += -s
endif

build:
	$(checkdir)
	$(MAKE) -f unix/Makefile LF2="" \
		CC="$(CC)" CF="$(CFLAGS) -I. $(DEFINES)" unzips
	touch build

clean:
	$(checkdir)
	rm -f build
	-$(MAKE) -f unix/Makefile clean
	rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars

binary-indep: checkroot build
	$(checkdir)

binary-arch: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	mkdir $(dirbin)
	cp unzip $(dirbin)/
	chmod 755 debian/tmp/usr/bin/*
	ln -s /usr/bin/unzip debian/tmp/usr/bin/zipinfo;
	cat debian/copyright.in LICENSE > $(docdir)/copyright
	dpkg-shlibdeps unzip
	dpkg-gencontrol -isp
	cd debian/tmp && \
		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
	chown -R root:root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f $(package).c -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
