## unzip 5.52-11

=== debian/changelog ===
unzip (5.52-11) unstable; urgency=low

  * Add desktop integration
  * Add -qqql option (which just displays the file paths, nothing else)

 -- Danny Milosavljevic <danny.milo@scratchpost.org>  Sun, 28 Jan 2007 19:07:29 +0000
