=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Standards-Version: 3.6.1
 
 Package: unzip
-Architecture: i386
+Architecture: armel i386
 Depends: ${shlibs:Depends}
 Conflicts: unzip-crypt (<< 5.41)
 Replaces: unzip-crypt (<< 5.41)
