=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,8 @@
 	$(checkdir)
 	$(MAKE) -f unix/Makefile LF2="" \
 		CC="$(CC)" CF="$(CFLAGS) -I. $(DEFINES)" unzips
+	$(MAKE) -f unix/Makefile LF2="" \
+		CC="$(CC)" CF="$(CFLAGS) -I. $(DEFINES)" batch-unzip
 	touch build
 
 clean:
@@ -32,22 +34,49 @@
 binary-indep: checkroot build
 	$(checkdir)
 
-binary-arch: checkroot build
-	$(checkdir)
-	rm -rf debian/tmp
-	install -d debian/tmp/DEBIAN $(docdir)
-	mkdir $(dirbin)
-	cp unzip $(dirbin)/
-	chmod 755 debian/tmp/usr/bin/*
-	ln -s /usr/bin/unzip debian/tmp/usr/bin/zipinfo;
-	cat debian/copyright.in LICENSE > $(docdir)/copyright
-	dpkg-shlibdeps unzip
-	dpkg-gencontrol -isp
-	cd debian/tmp && \
-		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
-	chown -R root:root debian/tmp
-	chmod -R go=rX debian/tmp
-	dpkg --build debian/tmp ..
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	#$(MAKE) install DESTDIR=$(CURDIR)/debian/unzip
+	dh_install unzip usr/bin/
+	dh_install debian/unzip.png usr/share/pixmaps
+	dh_install debian/unzip.desktop usr/share/applications/hildon/
+	dh_install debian/unzip.service usr/share/dbus-1/services/
+	dh_install batch-unzip usr/bin/
+	dh_install zipinfo usr/bin/
+	dh_install debian/zip.xml usr/share/mime/packages/
+
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs readme
+	dh_installdocs
+#	dh_installexamples
+#	dh_install
+	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
+#	dh_link
+#	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_perl
+#	dh_python
+#	dh_makeshlibs
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
 
 define checkdir
 	test -f $(package).c -a -f debian/rules
