## unzip 5.52-13

=== debian/changelog ===
unzip (5.52-13) unstable; urgency=low

  * Change section in debian/control file.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Tue, 19 Feb 2008 14:30:24 +0100

unzip (5.52-12) unstable; urgency=low

  * Maemo Chinook version

 -- Daniel Martin Yerga <dyerga@gmail.com>  Tue, 19 Feb 2008 11:50:24 +0100
