=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: unzip
-Section: user/utils
+Section: user/tools
 Priority: optional
 Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
 Standards-Version: 3.6.1
