## unzip 5.52-14-maemo2

=== debian/changelog ===
unzip (5.52-14-maemo2) unstable; urgency=low

  * Error uploading to the autobuilder.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Mon, 16 Jun 2008 18:42:24 +0200

unzip (5.52-14-maemo1) unstable; urgency=low

  * Added build-dep for the chinook autobuilder.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Mon, 16 Jun 2008 18:30:24 +0200
