=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: user/tools
 Priority: optional
 Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
+Build-Depends: libgtk2.0-dev, libhildon1-dev, libosso-dev
 Standards-Version: 3.6.1
 
 Package: unzip
