=== debian/rules ===
--- 
+++ 
@@ -42,17 +42,17 @@
 
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/unzip
 	dh_install unzip usr/bin/
+	dh_install zipinfo usr/bin/
 	dh_install debian/unzip.png usr/share/pixmaps
 	dh_install debian/unzip.desktop usr/share/applications/hildon/
 	dh_install debian/unzip.service usr/share/dbus-1/services/
 	dh_install batch-unzip usr/bin/
-	dh_install zipinfo usr/bin/
 	dh_install debian/zip.xml usr/share/mime/packages/
 
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs readme
+	dh_installchangelogs README
 	dh_installdocs
 #	dh_installexamples
 #	dh_install
@@ -66,7 +66,7 @@
 #	dh_installcron
 #	dh_installinfo
 #	dh_link
-#	dh_strip
+	dh_strip
 	dh_compress
 	dh_fixperms
 #	dh_perl
