## unzip 5.52-14-maemo3

=== debian/changelog ===
unzip (5.52-14-maemo3) diablo; urgency=low

  * All-new packaging, with new bells and whistles
  * batch-unzip has been split into its own separate package.
    Now it's called unzip-fm (unzip filemanager integration)
  * Removed docs from package, which will be deleted anyway by docpurge
  * Added the official Info-Zip icon to the package

 -- Andrew Zabolotny <zap@homelink.ru>  Thu, 31 Jul 2008 02:31:40 +0400
