## unzip 5.52-14-maemo4

=== debian/changelog ===
unzip (5.52-14-maemo4) hardy; urgency=low

  * Increased version number to force builder to re-index the package

 -- Andrew Zabolotny <zap@homelink.ru>  Sat, 09 Aug 2008 18:05:07 +0400
