=== debian/control ===
Source: unzip
Section: user/tools
Priority: optional
Maintainer: Andrew Zabolotny <zap@homelink.ru>
XSBC-Original-Maintainer: Daniel Martin Yerga <dyerga@gmail.com>, Danny Milosavljevic <danny.milo@gmx.net>
Standards-Version: 3.6.1
Build-Depends: sharutils

Package: unzip
Architecture: any
Depends: ${shlibs:Depends}, shared-mime-info
Conflicts: unzip-crypt (<< 5.41)
Replaces: unzip-crypt (<< 5.41)
Suggests: zip
Description: De-archiver for .zip files
 InfoZIP's unzip program. With the exception of multi-volume archives
 (ie, .ZIP files that are split across several disks using PKZIP's /& option),
 this can handle any file produced either by PKZIP, or the corresponding
 InfoZIP zip program.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaBAMAAABbZFH9AAAAAXNSR0IArs4c6QAAAB5QTFRFACEA
 AAAAIGG4Xl5efn5+gICAyOj/yMjI7Ozs+Pz4ZRPnrQAAAAF0Uk5TAEDm2GYAAAABYktHRACIBR1I
 AAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2AgHEQYDTal44QAAAKtJREFUGNNlkD0OwyAM
 Rj/GblQdoqwMkTJWvQI9QAYOkbFDhHKASh0RVaT4trUd8qd+Ew8eNgYAzLXEMqCiJVOnNAXO/HkX
 Em2OQyG+YJR4V86sYb1DFWPkW9YEoVIvQTuQczm7PuHyvQPU5pypTTDji4maQg9iyv3RbMSk1ZQq
 SmqeOkh37701OsP2sn2G7dX/E0WJzsC5PcMSpfMvAbWoYwHUg4g7HUSsqx+zI1UDZVmHoQAAAABJ
 RU5ErkJggg==
