## unzip 5.52-14-maemo5

=== debian/changelog ===
unzip (5.52-14-maemo5) diablo; urgency=low

  * Removed dependency of shared-mime-info and libgtk2.0-bin.
    Instead, follow the Debian packaging policy - check first
    if the respective tools exist and use them only if they do.

 -- Andrew Zabolotny <zap@homelink.ru>  Sat,  9 Aug 2008 23:46:24 +0400
