## unzip 5.52-14-maemo6

=== debian/changelog ===
unzip (5.52-14-maemo6) diablo; urgency=low

  * Added the -t option to gtk-update-icon-cache since in a empty
    scratchbox installation gtk-update-icon-cache is present, but icon
    cache has not been created...

 -- Andrew Zabolotny <zap@homelink.ru>  Mon, 11 Aug 2008 23:27:59 +0400
