=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: unzip
 Architecture: any
-Depends: ${shlibs:Depends}, shared-mime-info
+Depends: ${shlibs:Depends}
 Conflicts: unzip-crypt (<< 5.41)
 Replaces: unzip-crypt (<< 5.41)
 Suggests: zip
